Package: org.apache.groovy.groovysh

## [Groovy] Class ParseStatus

- org.apache.groovy.groovysh.ParseStatus

-     final class ParseStatus
      extends Object

  Container for parse status details.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Throwable` | `cause`
    `ParseCode` | `code`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ParseStatus(ParseCode code, Throwable cause)`
    `ParseStatus(ParseCode code)`
    `ParseStatus(Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final Throwable cause

    - #### final ParseCode code

  - ### Constructor Detail

    - #### ParseStatus(ParseCode code, Throwable cause)

    - #### ParseStatus(ParseCode code)

    - #### ParseStatus(Throwable cause)